# Glucose Direct App

**Warning, the project is strictly for my personal use and is highly experimental.**

App programmed in Swift/SwiftUI for using Libre 1/2 blood glucose sensors. I try to keep the code as readable and understandable as possible so that as many people as possible can understand how this part of diabetes management works.

## Current features
- Libre 2 EU support (without transmitter)
- Libre 1 support with transmitter (supported transmitter bubble)
- Add manual bgm values
- Manage bgm/cgm values
- Units mg/dL or mmol/L
- Nightscout upload
- FreeAPS X support (with Shared App Groups)
- Calendar export
- Glucose badge
- Glucose chart
- Glucose trend arrow
- Glucose change per minute
- Factory calibration
- Custom calibration
- Lifetime details
- Transmitter details
- Sensor details
- Glucose alert for lows and highs
- Connection lost alert
- Missed readings alert
- Sensor expiring alert
- Snooze for glucose alerts

## Quick test?
You can quickly get an idea of Libre Direct: [TestFlight](https://testflight.apple.com/join/dWDt5Wme)

## Feedback?
I am very happy to receive feedback - suggestions for improvement or reports of bugs encountered.

## Support?
- I am very happy to find a designer who will support me by designing a nice app icon :)
- I appreciate all the translations I get. Just drop by Crowdin, every translation helps :) https://crwd.in/glucose-direct-app

## Screenshots
![Screenshot](/Screenshots/overview.png?raw=true)
![Screenshot](/Screenshots/list.png?raw=true)
![Screenshot](/Screenshots/calibrations.png?raw=true)
![Screenshot](/Screenshots/settings.png?raw=true)

## Roadmap
- Other transmitters
- Detailed tests of the Libre 1
- Other diabetes sources to upload to (like tidepool, ...)

## I use sounds from the following sources (incl. licenses):
- SpliceSound https://freesound.org/people/SpliceSound/sounds/369848, Licence: http://creativecommons.org/publicdomain/zero/1.0/
- ui interface positive https://freesound.org/people/JavierZumer/sounds/257227, Licence: http://creativecommons.org/licenses/by/3.0/
- ui interface negative https://freesound.org/people/JavierZumer/sounds/257235, Licence: http://creativecommons.org/licenses/by/3.0/
- Power Loss https://freesound.org/people/LorenzoTheGreat/sounds/417791, Licence: http://creativecommons.org/licenses/by/3.0/
